import AppClass from '../../../../lib/src/lifecycle/AppClass.ts'

export default abstract class Migration extends AppClass {
    public static get_current_epoch(): number {
        return (new Date).getTime()
    }

    public abstract readonly ordering_epoch: number

    public abstract up(): any

    public abstract down(): any

    public should_apply(): any {
        return true
    }
}
