import {Model} from '../../model/Model.ts'
import {Field} from '../../model/Field.ts'
import {Type} from '../../db/types.ts'

export default class MigrationApply extends Model<MigrationApply> {
    protected static table = 'daton_migration_applies'
    protected static key = 'daton_migration_apply_id'

    @Field(Type.serial)
    public daton_migration_apply_id!: number

    @Field(Type.bigint)
    public ordering_epoch!: number

    @Field(Type.varchar)
    public migration_file_name!: string

    @Field(Type.timestamp)
    public applied_date!: Date
}
