import AppClass from '../../../../lib/src/lifecycle/AppClass.ts'
import {Connection} from "../../db/Connection.ts";
import {Database} from "./Database.ts";

export class Table extends AppClass {
    protected parent_database?: Database

    constructor(
        public readonly connection: Connection,
        public readonly database_name: string,
        public readonly name: string,
    ) { super() }

    public set_database(db: Database) {
        this.parent_database = db
    }
}
